from rag import RAG

llm_model_path = '/Users/peportier/llm/a/a/zephyr-7b-beta.Q5_K_M.gguf'
embed_model_name = 'intfloat/multilingual-e5-large'
collection_name = 'cera'
chromadb_path = './chromadb'

rag = RAG(llm_model_path, embed_model_name, collection_name, chromadb_path)

query1 = "Comment aider une entreprise qui rencontre des problèmes de trésorerie ?"
ans1 = rag.chat(query1, stream=True)
query2 = "Pouvez-vous m'en dire plus au sujet du deuxième point ?"
ans2 = rag.chat(query2, stream=True)

# Queries:
#
# En télétravail, quels sont les risques couverts par mon assurance habitation ? 
#
# Pour un sociétaire, quel est le risque de perte attaché à la détention de Parts Sociales ?
#
# Comment procéder pour déclarer un sinistre habitation ?
# Comment procéder pour déclarer un sinistre Visa Premier ?


# Combien de clients sociétaires compte la CERA ?

# Quel est le plafond d'impôts à ne pas dépasser pour pouvoir bénéficier d'un livret d'épargne populaire ?

# Mon client a 36 ans, peut-elle ouvrir un livret jeune ?

# Mon client a un revenu fiscal de 23000 euros, il est célibataire, peut-il ouvrir un livret d'épargne populaire ?

# Quel est le plafond du revenu fiscal de référence pour le livret d'épargne populaire ?
